%global flavor gcc32

%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}

%global oname globus-gsi-proxy-core
%global _name %(tr - _ <<< %{oname})

Name:		mingw32-%{oname}
Version:	6.1
Release:	1%{?dist}
Summary:	Globus Toolkit for MinGW - Globus GSI Proxy Core Library

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://www.globus.org/
Source:		http://www.globus.org/ftppub/gt5/5.2/5.2.0/packages/src/%{_name}-%{version}.tar.gz
Patch0:		%{oname}-deps.patch
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:	mingw32-globus-common
BuildRequires:	grid-packaging-tools >= 3.4
BuildRequires:	mingw32-globus-core >= 8
BuildRequires:	mingw32-globus-gsi-proxy-ssl >= 4
BuildRequires:	mingw32-globus-gsi-cert-utils >= 8
BuildRequires:	mingw32-globus-gsi-credential >= 5
BuildRequires:	mingw32-globus-gsi-sysconfig >= 5
BuildRequires:	mingw32-globus-common >= 14
BuildRequires:	mingw32-globus-openssl-module >= 3
BuildRequires:	mingw32-globus-gsi-openssl-error >= 2
BuildRequires:	mingw32-openssl
BuildRequires:	mingw32-filesystem
BuildRequires:	mingw32-gcc

%description
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The %{name} package contains:
Globus GSI Proxy Core Library

%{?_mingw32_debug_package}

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1

%build
export GPT_LOCATION=%{_prefix}
export GLOBUS_LOCATION=%{_mingw32_prefix}

# Remove files that should be replaced during bootstrap
rm -f doxygen/Doxyfile*
rm -f doxygen/Makefile.am
rm -f pkgdata/Makefile.am
rm -f globus_automake*
rm -rf autom4te.cache

%{_mingw32_datadir}/globus/globus-bootstrap.sh

%_mingw32_configure --disable-static --with-flavor=%{flavor} \
		    --with-docdir=%{_mingw32_docdir}/%{name}-%{version}
find . -name Makefile -exec sed 's/^LDFLAGS =/& -no-undefined/' -i {} ';'

make %{?_smp_mflags}

%install
export GLOBUS_LOCATION=%{_mingw32_prefix}

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

GLOBUSPACKAGEDIR=$RPM_BUILD_ROOT%{_mingw32_datadir}/globus/packages

# Generate package filelists
cat $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_rtl.filelist \
    $GLOBUSPACKAGEDIR/%{_name}/%{flavor}_dev.filelist \
  | sed s!^!%{_mingw32_prefix}! > package.filelist
cat $GLOBUSPACKAGEDIR/%{_name}/noflavor_doc.filelist \
  | sed -e 's!/man/.*!&*!' -e 's!^!%doc %{_mingw32_prefix}!' >> package.filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f package.filelist
%defattr(-,root,root,-)
%dir %{_mingw32_datadir}/globus/packages/%{_name}
%{_mingw32_bindir}/libglobus_gsi_proxy_core-0.dll
%dir %{_mingw32_docdir}/%{name}-%{version}

%changelog
* Mon Feb 06 2012 Mattias Ellert <mattias.ellert@fysast.uu.se> - 6.1-1
- Update to Globus Toolkit 5.2.0

* Thu Jun 23 2011 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.7-1
- Update to Globus Toolkit 5.0.3

* Sat Jul 17 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.5-1
- Update to Globus Toolkit 5.0.2
- Drop patch globus-gsi-proxy-core-oid.patch (fixed upstream)

* Mon May 31 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.4-2
- Fix OID registration pollution

* Mon May 03 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.4-1
- Update to Globus Toolkit 5.0.1
- Drop patch globus-gsi-proxy-core-typo.patch (fixed upstream)

* Wed Mar 10 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.3-2
- Add debug package

* Sun Mar 07 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 4.3-1
- Update to Globus Toolkit 5.0.0

* Wed May 06 2009 Mattias Ellert <mattias.ellert@fysast.uu.se> - 3.4-1
- Autogenerated
